1. Mutual Fund APIs
  • Mutual Funds Data API - Introduction
  • Authentication, Request & Response
  • Code Samples & API Trial
  • List of APIs
  • Mutual Fund APIs
    • GetAMCMaster
      GET
    • GetSchemeMaster
      GET
    • GetSchemeTypeMaster
      GET
    • GetSchemeCategoryMaster
      GET
    • GetNAV
      GET
    • GetNAVHistory
      GET
    • GetAUM
      GET
    • GetAUMHistory
      GET
    • GetAumSchemeComparison
      GET
    • GetAumTopGainersLosers
      GET
    • GetHoldings
      GET
    • GetHoldingsSearch
      GET
    • GetHoldingsWhatChanged
      GET
    • GetHoldingsByType
      GET
    • GetNewFundOffers
      GET
  • Helper Functions
    • GetLimitation
      GET
    • GetServerInfo
      GET
  • Diagnostic API Responses
    • Diagnostic API Responses
  • Release Notes
    • 📢Release Notes
  1. Mutual Fund APIs

GetHoldings

GET
https://test.lisuns.com:4532/GetHoldings
▶️ 'Try It' now !
pointer.gif
The GetHoldings returns official portfolio holdings details for mutual fund schemes, covering instruments and ISINs, industry ratings, quantities, market values and weights, yields, asset types, sizes, sectors, and dates.

What is returned?#

Instrument, Isin, IndustryOrRating, Quantity, MarketValue, Weight, Yield, AssetType, Size, Sector, Date

Sample Response#

JSON
XML
CSV
CsvContent
{
"Value": [
{
"Instrument": "Reliance Industries Limited",
"Isin": "INE002A01018",
"IndustryOrRating": "Petroleum Products",
"Quantity": 2222500,
"MarketValue": 34837.69,
"Weight": 9.28,
"Yield": 0,
"AssetType": "Equity",
"Size": "Large Cap",
"Sector": "Oil Gas & Consumable Fuels",
"Date": "11-30-2025 00:00:00"
},
{
"Instrument": "Bajaj Finance Limited",
"Isin": "INE296A01032",
"IndustryOrRating": "Finance",
"Quantity": 1877010,
"MarketValue": 19473.98,
"Weight": 5.19,
"Yield": 0,
"AssetType": "Equity",
"Size": "Large Cap",
"Sector": "Financial Services",
"Date": "11-30-2025 00:00:00"
}
]
}

Request

Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://test.lisuns.com:4532/GetHoldings?accessKey=4f863b18-f33e-4260-aa65-c60c1ad88686&name=&isin=&code=149263&filter=All&dTFormat=String&format=Json'

Responses

🟢200
application/json
Success
Body

Example
{
    "value": [
        {
            "instrument": "string",
            "isin": "string",
            "industryOrRating": "string",
            "quantity": 0,
            "marketValue": 0,
            "weight": 0,
            "yield": 0,
            "assetType": "string",
            "size": "string",
            "sector": "string",
            "date": "02-25-2025 18:00:00"
        }
    ],
    "count": 0
}
Previous
GetAumTopGainersLosers
Next
GetHoldingsSearch
Built with